## thin-provisioning-tools 0.2.1

=== debian/changelog ===
thin-provisioning-tools (0.2.1-1) unstable; urgency=low

  * Initial release. (closes: #690693)
  * Fix build system.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Jul 2013 19:53:41 +0000
