## thin-provisioning-tools 0.2.8

=== debian/changelog ===
thin-provisioning-tools (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Fri, 22 Nov 2013 11:30:36 +0100
