## thin-provisioning-tools 0.3.2

=== debian/changelog ===
thin-provisioning-tools (0.3.2-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 13:34:42 -0500

thin-provisioning-tools (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Set Standards-Version to 3.9.5, no changes.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 May 2014 12:38:41 +0200
