=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: thin-provisioning-tools
 Section: admin
 Priority: optional
-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev, autotools-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary
