## thin-provisioning-tools 0.5.6

=== debian/changelog ===
thin-provisioning-tools (0.5.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 25 Oct 2015 02:22:35 -0400

thin-provisioning-tools (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend against libaio-dev.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Oct 2015 19:35:58 +0200
