## thin-provisioning-tools 0.6.1

=== debian/changelog ===
thin-provisioning-tools (0.6.1-4) unstable; urgency=medium

  * Use Debhelper compat level 10.
  * Make buildable with gcc 6. (closes: #811652)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Jul 2016 20:58:17 +0200

thin-provisioning-tools (0.6.1-3) unstable; urgency=medium

  * Fix unit test workaround to work on 32bit systems.

 -- Bastian Blank <waldi@debian.org>  Sun, 07 Feb 2016 18:58:51 +0100

thin-provisioning-tools (0.6.1-2) unstable; urgency=medium

  * Workaround O_DIRECT usage in unit tests.

 -- Bastian Blank <waldi@debian.org>  Sun, 07 Feb 2016 13:47:38 +0100

thin-provisioning-tools (0.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Set optimization level back to a sane value.
  * Run unit tests during package build

 -- Bastian Blank <waldi@debian.org>  Fri, 05 Feb 2016 19:46:19 +0100
