=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98 -fno-delete-null-pointer-checks

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-testing \
		--with-optimisation=-O2

override_dh_auto_test:
	-mkdir gmock-1.6.0
	-ln -s /usr/src/gmock/src gmock-1.6.0
	-ln -s /usr/src/gtest gmock-1.6.0/gtest
	$(MAKE) -C debian/unit-tests all
	+LD_PRELOAD=$(CURDIR)/debian/unit-tests/preload.so $(MAKE) unit-test

override_dh_auto_clean:
	rm -rf gmock-1.6.0
	dh_auto_clean
	$(MAKE) -C debian/unit-tests clean
