## thin-provisioning-tools 0.7.4

=== debian/changelog ===
thin-provisioning-tools (0.7.4-2ubuntu3) bionic; urgency=medium

  * Don't build the preload object with -O3 on ppc64el, which is what
    actually fixes the build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Mar 2018 15:31:50 -0700

thin-provisioning-tools (0.7.4-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Nov 2017 21:02:50 -0800

thin-provisioning-tools (0.7.4-2) unstable; urgency=medium

  * Update unit-test workaround to work with current glibc.

 -- Bastian Blank <waldi@debian.org>  Wed, 01 Nov 2017 20:34:04 +0100

thin-provisioning-tools (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop c++ version workaround.
  * Support current gmock.
  * Update Vcs tags to new repo location.
  * Build-depend on gawk for txt2man.

 -- Bastian Blank <waldi@debian.org>  Wed, 01 Nov 2017 18:21:10 +0100

thin-provisioning-tools (0.6.1-4ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 26 Dec 2016 15:49:11 -0500

thin-provisioning-tools (0.6.1-3ubuntu1) yakkety; urgency=medium

  * debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
    --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 26 Apr 2016 03:59:41 -0400
