## thin-provisioning-tools 0.7.6

=== debian/changelog ===
thin-provisioning-tools (0.7.6-2.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 14:26:37 -0700

thin-provisioning-tools (0.7.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 0002-fix-FTBFS-against-libaio-0.3.112.patch: new patch, renames
    static raise() function in ft-lib/bcache.c to avoid symbol conflict
    with raise() from signal.h
    (Closes: #924844)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 Mar 2019 11:35:25 +0200

thin-provisioning-tools (0.7.6-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.
    - Don't build the preload object with -O3 on ppc64el, which is what
      actually fixes the build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 17:37:49 -0800

thin-provisioning-tools (0.7.6-2) unstable; urgency=medium

  * Fix prototype for open in test preload wrapper. (closes: #893557)
  * Don't call gcc. (closes: #900669)
  * Install tools and modules into initramfs. (closes: #769799, #774560)

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Jan 2019 12:42:46 +0100

thin-provisioning-tools (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Set maintainer to team via tracker.debian.org. (closes: #899943)
  * Fix spelling error in description.
  * Don't run tests if asked not to.

 -- Bastian Blank <waldi@debian.org>  Sat, 12 Jan 2019 18:01:30 +0100
