=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -24,7 +24,7 @@
  ${misc:Depends},
 Description: Tools for handling thinly provisioned device-mapper meta-data
  This package contains tools to handle meta-data from the device-mapper
- thin target.  This target allows the use of a single backing store for multple
+ thin target.  This target allows the use of a single backing store for multiple
  thinly provisioned volumes.  Numerous snapshots can be taken from such
  volumes.  The tools can check the meta-data for consistency, repair damaged
  information and dump or restore the meta-data in textual form.
