## thin-provisioning-tools 0.8.5

=== debian/changelog ===
thin-provisioning-tools (0.8.5-4build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:35 +0000

thin-provisioning-tools (0.8.5-4) unstable; urgency=medium

  * Use debhelper 12.
  * Add instructions on how to handle source.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Jan 2020 11:21:13 +0100

thin-provisioning-tools (0.8.5-3) unstable; urgency=medium

  * Use new source format instead of own rules.
  * Install new dm-cache-smq module into initramfs. (closes: #931514)

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Jan 2020 14:37:26 +0100

thin-provisioning-tools (0.8.5-2) unstable; urgency=medium

  * Update Vcs information. (closes: #930685)
  * Fix tests on ppc platforms.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2019 18:24:35 +0100

thin-provisioning-tools (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix linking the test preload wrapper.

 -- Bastian Blank <waldi@debian.org>  Thu, 12 Dec 2019 22:17:43 +0100
