=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: thin-provisioning-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-autoreconf,
  gawk,
  libaio-dev,
@@ -14,8 +13,8 @@
  libgtest-dev,
  google-mock,
 Standards-Version: 3.9.5
-Vcs-Git: https://gitlab.com/debian-lvm/thin-provisioning-tools.git
-Vcs-Browser: https://gitlab.com/debian-lvm/thin-provisioning-tools
+Vcs-Git: https://salsa.debian.org/lvm-team/thin-provisioning-tools.git
+Vcs-Browser: https://salsa.debian.org/lvm-team/thin-provisioning-tools
 
 Package: thin-provisioning-tools
 Architecture: any
