=== debian/changelog ===
thin-provisioning-tools (0.9.0-2) unstable; urgency=medium

  * Don't require root for building.
  * Make tests compatible with C++17. (closes: #984366)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Feb 2022 17:51:09 +0100

thin-provisioning-tools (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend against libboost-iostreams-dev.
  * Make tests work with current Boost. (closes: #973145)
  * Fix man-page generation.
  * Override one lintian warning.

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Nov 2020 20:21:39 +0100
