=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  dh-autoreconf,
  gawk,
  libaio-dev,
- libboost-dev,
+ libboost-iostreams-dev,
  libexpat1-dev,
  libgtest-dev,
  google-mock,
 Standards-Version: 3.9.5
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lvm-team/thin-provisioning-tools.git
 Vcs-Browser: https://salsa.debian.org/lvm-team/thin-provisioning-tools
