=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-testing \
		--with-optimisation=-O2

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -C debian/unit-tests all
	+LD_PRELOAD=$(CURDIR)/debian/unit-tests/preload.so $(MAKE) unit-test GMOCK_DIR=/usr/src/googletest
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/unit-tests clean
