=== debian/changelog ===
thin-provisioning-tools (1.1.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085300). Remaining changes:
    -  initramfs-hook: Combine calls to manual_add_modules (LP #2065180)
  * Dropped changes:
    - Disable lto for now, testsuite failures.
      [ Package re-written in Rust ]
    - d/p/raise-level-to-cpp14.patch: raise level to c++14 to fix FTBFS
      [ Package re-written in Rust ]
    - d/unit-tests/preload.c: Remove open64 functions
      [ Removed in 1.1.0-1 ]
  * New changes:
    - Vendorize rust dependencies (LP: #2091303):
      + d/rules: allow builds with vendorized rust dependencies
      + vendor: add vendorized rust dependencies
      + d/p/debian-changes: do not patch Cargo.toml. There is need since
        we are now using vendored dependencies
      + d/p/vendor-remove-unused-deps: remove unused rust dependencies
      + debian/thin-provisioning-tools.*: fix path in initramfs hook
      + d/control:
        - add XS-Vendored-Sources-Rust field
        - fix i386 builds due to rust libraries missing in Ubuntu
        - set X-Cargo-Built-Using field. This is currently redundant
          with Static-Built-Using. Let's set both for now to make sure
          we cover cases where one may be consuming one or another until
          we have an agreement on which should be set

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 12 Dec 2024 17:58:04 -0300

thin-provisioning-tools (1.1.0-2) unstable; urgency=medium

  * Fix target of all command symlinks. (closes: #1084953)

 -- Bastian Blank <waldi@debian.org>  Wed, 16 Oct 2024 20:50:20 +0200

thin-provisioning-tools (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build new rust implementation.

 -- Bastian Blank <waldi@debian.org>  Thu, 03 Oct 2024 12:36:22 +0200

thin-provisioning-tools (0.9.0-2ubuntu6) oracular; urgency=medium

  * initramfs-hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:08:36 +0200

thin-provisioning-tools (0.9.0-2ubuntu5) noble; urgency=medium

  * d/unit-tests/preload.c: Remove open64 functions as they are no longer
    needed as a unit-test work around in armhf

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 03 Apr 2024 13:32:52 -0700

thin-provisioning-tools (0.9.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:19:19 +0000

thin-provisioning-tools (0.9.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 09:17:56 +0000

thin-provisioning-tools (0.9.0-2ubuntu2) noble; urgency=medium

  * d/p/raise-level-to-cpp14.patch: raise level to c++14 to fix FTBFS

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 02 Jan 2024 13:49:31 -0300

thin-provisioning-tools (0.9.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946908). Remaining changes:
    - Disable lto for now, testsuite failures.
  * Dropped changes:
    - d/control, d/rules: force gcc-10 to avoid a gcc-11 FTBFS for now
      (LP #1950028)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 18 Mar 2022 09:36:33 -0300

thin-provisioning-tools (0.9.0-1ubuntu3) jammy; urgency=medium

  * d/control, d/rules: force gcc-10 to avoid a gcc-11 FTBFS
    for now (LP: #1950028)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Dec 2021 11:30:28 +0100

thin-provisioning-tools (0.9.0-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:37 +0200

thin-provisioning-tools (0.9.0-1ubuntu1) hirsute; urgency=medium

  * Disable lto for now, testsuite failures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 12:01:24 +0200
